Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.storedProcedures
Class WMF

    java.lang.Object
      edu.udo.cs.miningmart.storedProcedures.WMF

    public class WMF

extends java.lang.Object

Version:
  $Id: WMF.java,v 1.5 2006/09/27 15:00:02 euler Exp $
Author:
  Martin Scholz

Field Summary
`static int` | `AVERAGE`
`static int` | `MEDIAN`
`static int` | `MODAL`

Constructor Summary
`WMF(BusinessDbConnectionSource dbc, java.lang.String source, java.lang.String time, java.lang.String column, java.lang.String target, java.lang.String timeStartOut, java.lang.String timeEndOut, java.lang.String columnOut, double[] weights, int distance, int method)` Constructor

Method Summary
`void` | `calc()` Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing
`static void` | `dbWMA(java.lang.Object dbc, java.lang.String source, java.lang.String time, java.lang.String column, java.lang.String target, java.lang.String timeStartOut, java.lang.String timeEndOut, java.lang.String columnOut, java.lang.String weights, int distance)` This function has to be used in the database as a stored procedure for calculating an WMF.
`protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset` | `getOutputColumnset()`
`protected Windowing` | `getWindow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AVERAGE

    public static final int AVERAGE

See Also:
  Constant Field Values

### MODAL

    public static final int MODAL

See Also:
  Constant Field Values

### MEDIAN

    public static final int MEDIAN

See Also:
  Constant Field Values

Constructor Detail

### WMF

    public WMF(BusinessDbConnectionSource dbc,
               java.lang.String source,
               java.lang.String time,
               java.lang.String column,
               java.lang.String target,
               java.lang.String timeStartOut,
               java.lang.String timeEndOut,
               java.lang.String columnOut,
               double[] weights,
               int distance,
               int method)
        throws java.sql.SQLException,
               TimeOperatorException

  Constructor

  Parameters:
    `dbc` - source of database connection if not used as stored procedure
    `source` - source table
    `time` - time column of source table
    `column` - value column of source table
    `target` - name of the target table to be created
    `timeStartOut` - name of the interval start attribute for the output table
    `timeEndOut` - name of the interval end attribute for the output table
    `columnOut` - name of the output value attribute
    `weights` - a vector of weights, also specifies the window size
    `distance` - step size for windowing
    `method` - - 0: AVERAGE, 1: MODAL, 2: MEDIAN
  Throws:
    `java.sql.SQLException`
    `TimeOperatorException`

Method Detail

### getWindow

    protected Windowing getWindow()

### getOutputColumnset

    protected edu.udo.cs.miningmart.storedProcedures.OutputColumnset getOutputColumnset()

### calc

    public void calc()
              throws TimeOperatorException

  Method calc() reads from the column(s) specified in the constructor and writes to the specified target, using windowing.

  Throws:
    `TimeOperatorException`

### dbWMA

    public static void dbWMA(java.lang.Object dbc,
                             java.lang.String source,
                             java.lang.String time,
                             java.lang.String column,
                             java.lang.String target,
                             java.lang.String timeStartOut,
                             java.lang.String timeEndOut,
                             java.lang.String columnOut,
                             java.lang.String weights,
                             int distance)
                      throws java.sql.SQLException,
                             TimeOperatorException

  This function has to be used in the database as a stored procedure for calculating an WMF.

  Throws:
    `java.sql.SQLException`
    `TimeOperatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005